curl --request POST \
--url https://app.famulor.io/api/v1/tools/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {},
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": {},
"call_values": {}
}
'import requests
url = "https://app.famulor.io/api/v1/tools/test"
payload = {
"config": {},
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": {},
"call_values": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {},
tool_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
values: {},
call_values: {}
})
};
fetch('https://app.famulor.io/api/v1/tools/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/tools/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
],
'tool_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'values' => [
],
'call_values' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/tools/test"
payload := strings.NewReader("{\n \"config\": {},\n \"tool_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"values\": {},\n \"call_values\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.famulor.io/api/v1/tools/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {},\n \"tool_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"values\": {},\n \"call_values\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/tools/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {},\n \"tool_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"values\": {},\n \"call_values\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"ok": true,
"status": 123,
"status_text": "<string>",
"duration_ms": 123,
"content_type": "<string>",
"body": "<string>",
"truncated": true,
"request": {
"method": "<string>",
"url": "<string>",
"body": "<string>"
}
}
}Test HTTP tool
Send a real HTTP test request using the same request preparation, secret handling and outbound protections as Agent Tools. The request may change the remote system. App action tools cannot be tested here: a tool_id or config of an app action tool returns 409; use POST /tools/app-actions/{toolId}/test. Requires an admin-level credential and assistants:write.
curl --request POST \
--url https://app.famulor.io/api/v1/tools/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {},
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": {},
"call_values": {}
}
'import requests
url = "https://app.famulor.io/api/v1/tools/test"
payload = {
"config": {},
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": {},
"call_values": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {},
tool_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
values: {},
call_values: {}
})
};
fetch('https://app.famulor.io/api/v1/tools/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/tools/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
],
'tool_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'values' => [
],
'call_values' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/tools/test"
payload := strings.NewReader("{\n \"config\": {},\n \"tool_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"values\": {},\n \"call_values\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.famulor.io/api/v1/tools/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {},\n \"tool_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"values\": {},\n \"call_values\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/tools/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {},\n \"tool_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"values\": {},\n \"call_values\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": {
"ok": true,
"status": 123,
"status_text": "<string>",
"duration_ms": 123,
"content_type": "<string>",
"body": "<string>",
"truncated": true,
"request": {
"method": "<string>",
"url": "<string>",
"body": "<string>"
}
}
}Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, billing:write, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.